This field accepts text, html or javascript. You can use the following dynamic variables: Uptime4 Monitor. You can also use Spintax format, as such: Hello to randomize words or phrases.

服务器监控器

GET https://uptime4.com/api/server-monitors/
curl --request GET \
--url 'https://uptime4.com/api/server-monitors/' \
--header 'Authorization: Bearer {api_key}' \
参数 细节 描述
search 可选的 字符串 搜索字符串。
search_by 可选的 字符串 您正在按哪个字段搜索。允许的值为:name, target。
is_enabled 可选的 布尔值
project_id 可选的 整数
datetime_field 可选的 字符串 允许的值:datetime, last_datetime, last_log_datetime
datetime_start 可选的 字符串 Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end 可选的 字符串 Filter results up to this datetime. Y-m-d H:i:s format.
order_by 可选的 字符串 按哪个字段排序结果。允许的值有:server_monitor_id, datetime, last_datetime, last_log_datetime, total_logs, cpu_usage, ram_usage, disk_usage, uptime, name。
order_type 可选的 字符串 结果的排序。允许的值为:ASC 表示升序排序,DESC 表示降序排序。
page 可选的 整数 您想要结果的页码。默认为 1。
results_per_page 可选的 整数 每页您想要多少个结果。允许的值是:10, 25, 50, 100, 250, 500, 1000。默认为25。
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "project_id": 1,
            "name": "Example",
            "target": "Example",
            "notifications": [],
            "settings": [],
            "uptime": 1,
            "network_total_download": 1,
            "network_download": 1,
            "network_total_upload": 1,
            "network_upload": 1,
            "os_name": "Example",
            "os_version": "Example",
            "kernel_name": "Example",
            "kernel_version": "Example",
            "kernel_release": "Example",
            "cpu_architecture": "Example",
            "cpu_model": "Example",
            "cpu_cores": 1,
            "cpu_frequency": 1,
            "cpu_usage": 1.5,
            "ram_usage": 1.5,
            "ram_used": 1.5,
            "ram_total": 1.5,
            "disk_usage": 1.5,
            "disk_used": 1.5,
            "disk_total": 1.5,
            "cpu_load_1": 1.5,
            "cpu_load_5": 1.5,
            "cpu_load_15": 1.5,
            "is_enabled": true,
            "total_logs": 1,
            "last_log_datetime": null,
            "datetime": "2026-09-29 10:11:02",
            "last_datetime": null
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": 25,
        "total_results": 1
    },
    "links": {
        "first": "https://uptime4.com/api/server-monitors?page=1",
        "last": "https://uptime4.com/api/server-monitors?page=1",
        "next": null,
        "prev": null,
        "self": "https://uptime4.com/api/server-monitors?page=1"
    }
}
GET https://uptime4.com/api/server-monitors/{server_monitor_id}
curl --request GET \
--url 'https://uptime4.com/api/server-monitors/{server_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 1,
        "name": "Example",
        "target": "Example",
        "notifications": [],
        "settings": [],
        "uptime": 1,
        "network_total_download": 1,
        "network_download": 1,
        "network_total_upload": 1,
        "network_upload": 1,
        "os_name": "Example",
        "os_version": "Example",
        "kernel_name": "Example",
        "kernel_version": "Example",
        "kernel_release": "Example",
        "cpu_architecture": "Example",
        "cpu_model": "Example",
        "cpu_cores": 1,
        "cpu_frequency": 1,
        "cpu_usage": 1.5,
        "ram_usage": 1.5,
        "ram_used": 1.5,
        "ram_total": 1.5,
        "disk_usage": 1.5,
        "disk_used": 1.5,
        "disk_total": 1.5,
        "cpu_load_1": 1.5,
        "cpu_load_5": 1.5,
        "cpu_load_15": 1.5,
        "is_enabled": true,
        "total_logs": 1,
        "last_log_datetime": null,
        "datetime": "2026-09-29 10:11:02",
        "last_datetime": null
    }
}
POST https://uptime4.com/api/server-monitors
参数 细节 描述
name 必需 字符串 -
target 必需 字符串 -
project_id 可选的 整数 -
notifications 可选的 数组 通知处理程序 ID
server_check_interval_seconds 可选的 整数 允许的值:60, 300, 600, 900, 1800 (秒)
alert_metric[key] 可选的 字符串 允许的值:cpu_usage, disk_usage, ram_usage
alert_rule[key] 可选的 字符串 允许的值:is_higher, is_lower
alert_value[key] 可选的 字符串 允许的值:1-99
alert_trigger[key] 可选的 字符串 允许的值:1, 2, 3, 4, 5, 6, 7, 8, 9, 10
is_enabled 可选的 布尔值 -
curl --request POST \
--url 'https://uptime4.com/api/server-monitors' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=example.com' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 1,
        "name": "Example",
        "target": "Example",
        "notifications": [],
        "settings": [],
        "uptime": 1,
        "network_total_download": "Example",
        "network_download": "Example",
        "network_total_upload": "Example",
        "network_upload": "Example",
        "os_name": null,
        "os_version": null,
        "kernel_name": null,
        "kernel_version": null,
        "kernel_release": null,
        "cpu_architecture": null,
        "cpu_model": null,
        "cpu_cores": "Example",
        "cpu_frequency": "Example",
        "cpu_usage": 1.5,
        "ram_usage": 1.5,
        "ram_used": 1.5,
        "ram_total": 1.5,
        "disk_usage": 1.5,
        "disk_used": 1.5,
        "disk_total": 1.5,
        "cpu_load_1": 1.5,
        "cpu_load_5": 1.5,
        "cpu_load_15": 1.5,
        "is_enabled": true,
        "total_logs": 1,
        "last_log_datetime": null,
        "datetime": "2026-09-29 10:11:02",
        "last_datetime": null
    }
}
POST https://uptime4.com/api/server-monitors/{server_monitor_id}
参数 细节 描述
name 必需 字符串 -
target 必需 字符串 -
project_id 可选的 整数 -
notifications 可选的 数组 通知处理程序 ID
server_check_interval_seconds 可选的 整数 允许的值:60, 300, 600, 900, 1800 (秒)
alert_metric[key] 可选的 字符串 允许的值:cpu_usage, disk_usage, ram_usage
alert_rule[key] 可选的 字符串 允许的值:is_higher, is_lower
alert_value[key] 可选的 字符串 允许的值:1-99
alert_trigger[key] 可选的 字符串 允许的值:1, 2, 3, 4, 5, 6, 7, 8, 9, 10
is_enabled 可选的 布尔值 -
curl --request POST \
--url 'https://uptime4.com/api/server-monitors/{server_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 1,
        "name": "Example",
        "target": "Example",
        "notifications": [],
        "settings": [],
        "uptime": 1,
        "network_total_download": 1,
        "network_download": 1,
        "network_total_upload": 1,
        "network_upload": 1,
        "os_name": "Example",
        "os_version": "Example",
        "kernel_name": "Example",
        "kernel_version": "Example",
        "kernel_release": "Example",
        "cpu_architecture": "Example",
        "cpu_model": "Example",
        "cpu_cores": 1,
        "cpu_frequency": 1,
        "cpu_usage": 1.5,
        "ram_usage": 1.5,
        "ram_used": 1.5,
        "ram_total": 1.5,
        "disk_usage": 1.5,
        "disk_used": 1.5,
        "disk_total": 1.5,
        "cpu_load_1": 1.5,
        "cpu_load_5": 1.5,
        "cpu_load_15": 1.5,
        "is_enabled": true,
        "total_logs": 1,
        "last_log_datetime": null,
        "datetime": "2026-09-29 10:11:02",
        "last_datetime": null
    }
}
DELETE https://uptime4.com/api/server-monitors/{server_monitor_id}
curl --request DELETE \
--url 'https://uptime4.com/api/server-monitors/{server_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \